@use "../theme";

.pie-chart {
    height: 35px;
    position: relative;
    width: 35px;
    $self: &;

    svg {
        position: relative;
        z-index: 2;
    }

    &__bg {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        background-color: theme.$colorPaletteGray200;

        &__text-small {
            font-size: 9px;
            padding-top: 4px;
        }
    }

    &__text {
        color: theme.$colorPaletteGray900;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
    }

    &--score-low {
        svg {
            circle {
                stroke: theme.$colorSuccess;
            }
        }
    }

    &--score-medium {
        svg {
            circle {
                stroke: theme.$colorSuccess;
            }
        }

    }

    &--score-high {
        svg {
            circle {
                stroke: theme.$colorSuccess;
            }
        }
    }

    &--score-highest {
        svg {
            circle {
                stroke: theme.$colorSuccess;
            }
        }

        #{ $self }__bg {
            background-color: theme.$colorSuccessLight;
        }
    }

    $pieRadiusLarge: 48px;

    &--large {
        display: flex;
        flex-direction: row;
        width: auto;
        height: auto;

        #{ $self }__bg {
            background-color: white;
            width: calc($pieRadiusLarge - 8px);
            height: calc($pieRadiusLarge - 8px);
            margin-left: 4px;
            margin-top: 4px;
        }

        #{ $self }__pie {
            display: flex;
            width: $pieRadiusLarge;
            height: $pieRadiusLarge;
            position: relative;

            svg {
                width: $pieRadiusLarge;
                height: $pieRadiusLarge;
            }
        }

        #{ $self }__text {
            position: relative;
            margin-left: theme.$spacing03;
            font-size: theme.$fontSizeXXXLarge;
            display: flex;
            align-items: center;
            line-height: 1;

            @media only screen and (min-width: theme.$sm) {
                margin-left: theme.$spacing05;
            }

            small {
                font-size: theme.$fontSizeXLarge !important;
                padding-top: 10px;
            }
        }

        &#{ $self }--score-lowest {
            #{ $self }__pie {
                display: none;
            }

            #{ $self }__text {
                margin-left: 0;
            }
        }
    }
}
